Bug 747425 - RFE: Update SysUsage to current (v4.0)
Summary: RFE: Update SysUsage to current (v4.0)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sysusage
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: rob
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-19 18:53 UTC by Solomon Peachy
Modified: 2012-08-07 18:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:14:34 UTC


Attachments (Terms of Use)
Updated specfile for sysusage 4.0 (6.61 KB, application/octet-stream)
2011-10-19 18:53 UTC, Solomon Peachy
no flags Details

Description Solomon Peachy 2011-10-19 18:53:38 UTC
Created attachment 529081 [details]
Updated specfile for sysusage 4.0

Description of problem:

The current version of SysUsage (v2.10) packaged for Fedora is two major releases out of date.  v3.x and v4.0 both include significant feature additions as well as many bugfixes.

I've rebuilt the SysUsage RPM against current upstream sources.  This required some modifications to the specfile.

The resulting RPM has been tested on F14, but I see no reason why it wouldn't work on something newer.

Can we get an updated package into Fedora?  Even if we don't push it as an update for F14-F16, can we at least get it into F17?

Thanks!

Comment 1 rob 2011-10-19 21:27:52 UTC
Solomon,

I don't have time to take care of this.  Would you like to maintain this package?

Thanks,

rob.

Comment 2 Solomon Peachy 2011-10-19 23:21:42 UTC
Okay, I can take it over, but I'm not set up to be an Official Fedora Developer(tm).  I'll set that up tonight.

Comment 3 Solomon Peachy 2011-11-04 21:23:39 UTC
If I understand correctly, I need a sponsor to be able to be able to take this package (or any other package) over.  Would you be willing to do that for me?

Otherwise I'm set up as a Fedora developer (username 'pizza') and all of the instructions seem to be geared towards submitting a brand-new package for review etc, rather than this particular case.

Comment 4 Paul Howarth 2012-03-20 09:46:56 UTC
Solomon,

can you post a link to your revised spec and SRPM in this ticket? I can then take a look at it with a view to sponsoring you. As a sponsor I'm free to sponsor whoever I like as long as I'm comfortable that they understand the Fedora packaging guidelines. That I can do by reviewing your revised package, and you could also take a look at a few other packages from the review queue and do unofficial reviews of them, which I could then take a look at to see if I agree with you :-) Once sponsored, you'd be free to take up co-maintainership of this or any other package.

Comment 5 Fedora End Of Life 2012-08-07 18:14:36 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.